"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_public_select_project_method = require("./method.js");
const pages_public_select_project_model = require("./model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_uni_icons2 + _easycom_cc_scroll_loading2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onUnload(() => {
      pages_public_select_project_model.useModel.formData.value.page = 1;
      pages_public_select_project_model.useModel.dataList.value = [];
    });
    common_vendor.onLoad((e) => {
      var _a;
      pages_public_select_project_model.useModel.dataList.value = [];
      pages_public_select_project_model.useModel.source.value = (e == null ? void 0 : e.source) || "";
      (_a = pages_public_select_project_method.method) == null ? void 0 : _a.handleLoadMore({ page: 1 });
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(pages_public_select_project_model.useModel)) == null ? void 0 : _a.dataList) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2;
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.name),
            b: common_vendor.t(i == null ? void 0 : i.province),
            c: common_vendor.t(i == null ? void 0 : i.city),
            d: common_vendor.t(i == null ? void 0 : i.area),
            e: (i == null ? void 0 : i.id) === ((_a2 = common_vendor.unref(pages_public_select_project_model.useModel).selectedHouseEd.value) == null ? void 0 : _a2.id)
          }, (i == null ? void 0 : i.id) === ((_b2 = common_vendor.unref(pages_public_select_project_model.useModel).selectedHouseEd.value) == null ? void 0 : _b2.id) ? {
            f: "69571fb6-1-" + i0 + ",69571fb6-0",
            g: common_vendor.p({
              type: "checkbox-filled",
              size: "20",
              color: "#2A7EFB"
            })
          } : {
            h: "69571fb6-2-" + i0 + ",69571fb6-0",
            i: common_vendor.p({
              type: "circle",
              size: "20",
              color: "#999"
            })
          }, {
            j: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(pages_public_select_project_method.method)) == null ? void 0 : _a3.handleSelectedProject(i);
            }, `item_${index}`),
            k: `item_${index}`
          });
        }),
        b: common_vendor.o((_c = common_vendor.unref(pages_public_select_project_method.method)) == null ? void 0 : _c.handleLoadMore),
        c: common_vendor.p({
          meta: (_e = (_d = common_vendor.unref(pages_public_select_project_model.useModel)) == null ? void 0 : _d.metaData) == null ? void 0 : _e.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/public/select_project/index.vue"]]);
wx.createPage(MiniProgramPage);
